Bug 1304624 - Error happens when running jboss-mortgage exmple in quickstarts
Error happens when running jboss-mortgage exmple in quickstarts
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Široký
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 03:42 EST by Ryan Zhang
Modified: 2016-05-05 07:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Zhang 2016-02-04 03:42:18 EST
Description of problem:
I spot the following error when trying to run mortagage example in quickstart zip.
After import the mortgage repository and deploy mortgage-ws war, I run : 
java -jar jboss-mortgage-demo-client.jar $USER $PASS
It doens't return correct output. I can see  the following error occure in server.log:
16:37:59,461 ERROR [org.jbpm.services.task.wih.LocalHTWorkItemHandler] (http-localhost.localdomain/127.0.0.1:8080-3) Thu Feb 04 16:37:59 CST 2016: Error when creating task on task server for work item id 6. Error reported by task server: org.hibernate.exception.DataException: could not execute statement: javax.persistence.PersistenceException: org.hibernate.exception.DataException: could not execute statement
	at org.hibernate.ejb.AbstractEntityManagerImpl.convert(AbstractEntityManagerImpl.java:1387) [hibernate-entitymanager-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.ejb.AbstractEntityManagerImpl.convert(AbstractEntityManagerImpl.java:1310) [hibernate-entitymanager-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.ejb.AbstractEntityManagerImpl.convert(AbstractEntityManagerImpl.java:1316) [hibernate-entitymanager-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.ejb.AbstractEntityManagerImpl.persist(AbstractEntityManagerImpl.java:881) [hibernate-entitymanager-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.jbpm.services.task.persistence.JPATaskPersistenceContext.persist(JPATaskPersistenceContext.java:510) [jbpm-human-task-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.audit.JPATaskLifeCycleEventListener.indexAndPersistVariables(JPATaskLifeCycleEventListener.java:793) [jbpm-human-task-audit-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.audit.JPATaskLifeCycleEventListener.afterTaskInputVariableChangedEvent(JPATaskLifeCycleEventListener.java:778) [jbpm-human-task-audit-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.events.TaskEventSupport.fireAfterTaskInputVariablesChanged(TaskEventSupport.java:379) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.impl.TaskInstanceServiceImpl.addTask(TaskInstanceServiceImpl.java:122) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.commands.AddTaskCommand.execute(AddTaskCommand.java:109) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.commands.AddTaskCommand.execute(AddTaskCommand.java:53) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.commands.TaskCommandExecutorImpl$SelfExecutionCommandService.execute(TaskCommandExecutorImpl.java:65) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.persistence.TaskTransactionInterceptor.execute(TaskTransactionInterceptor.java:69) [jbpm-human-task-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jta.TransactionLockInterceptor.execute(TransactionLockInterceptor.java:73) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:82) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.commands.TaskCommandExecutorImpl.execute(TaskCommandExecutorImpl.java:40) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.impl.command.CommandBasedTaskService.addTask(CommandBasedTaskService.java:329) [jbpm-human-task-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.runtime.manager.impl.task.SynchronizedTaskService.addTask(SynchronizedTaskService.java:452) [jbpm-runtime-manager-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.task.wih.LocalHTWorkItemHandler.executeWorkItem(LocalHTWorkItemHandler.java:63) [jbpm-human-task-workitems-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jpa.processinstance.JPAWorkItemManager.internalExecuteWorkItem(JPAWorkItemManager.java:69) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.WorkItemNodeInstance.internalTrigger(WorkItemNodeInstance.java:138) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerConnection(NodeInstanceImpl.java:381) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.SplitInstance.executeStrategy(SplitInstance.java:117) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.SplitInstance.internalTrigger(SplitInstance.java:63) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:325) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.JoinInstance.triggerCompleted(JoinInstance.java:266) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.JoinInstance.internalTrigger(JoinInstance.java:62) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerConnection(NodeInstanceImpl.java:381) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.SplitInstance.executeStrategy(SplitInstance.java:117) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.SplitInstance.internalTrigger(SplitInstance.java:63) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:325) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.ActionNodeInstance.triggerCompleted(ActionNodeInstance.java:61) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.ActionNodeInstance.internalTrigger(ActionNodeInstance.java:57) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:325) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.ExtendedNodeInstanceImpl.triggerCompleted(ExtendedNodeInstanceImpl.java:44) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:341) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.StateBasedNodeInstance.triggerCompleted(StateBasedNodeInstance.java:318) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.signalEvent(RuleSetNodeInstance.java:124) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.signalEvent(WorkflowProcessInstanceImpl.java:490) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.event.DefaultSignalManager.internalSignalEvent(DefaultSignalManager.java:82) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.event.DefaultSignalManager$SignalAction.execute(DefaultSignalManager.java:181) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.phreak.SynchronizedPropagationList.flush(SynchronizedPropagationList.java:78) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.phreak.SynchronizedPropagationList.flush(SynchronizedPropagationList.java:68) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.phreak.SynchronizedBypassPropagationList.flush(SynchronizedBypassPropagationList.java:62) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.flushPropagations(StatefulKnowledgeSessionImpl.java:2003) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.executeQueuedActions(StatefulKnowledgeSessionImpl.java:1548) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.event.DefaultSignalManager.signalEvent(DefaultSignalManager.java:74) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.persistence.processinstance.JPASignalManager.signalEvent(JPASignalManager.java:81) [jbpm-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.ProcessRuntimeImpl$3.afterRuleFlowGroupDeactivated(ProcessRuntimeImpl.java:458) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupDeactivated(AgendaEventSupport.java:180) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.common.DefaultAgenda.getNextFocus(DefaultAgenda.java:552) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.common.DefaultAgenda.fireLoop(DefaultAgenda.java:1341) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.common.DefaultAgenda.fireAllRules(DefaultAgenda.java:1284) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.internalFireAllRules(StatefulKnowledgeSessionImpl.java:1303) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.fireAllRules(StatefulKnowledgeSessionImpl.java:1293) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.fireAllRules(StatefulKnowledgeSessionImpl.java:1274) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:111) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.runtime.rule.FireAllRulesCommand.execute(FireAllRulesCommand.java:36) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:582) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:82) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jta.TransactionLockInterceptor.execute(TransactionLockInterceptor.java:73) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.fireAllRules(CommandBasedStatefulKnowledgeSession.java:268) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.event.listeners.TriggerRulesEventListener.afterRuleFlowGroupActivated(TriggerRulesEventListener.java:83) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.event.AgendaEventSupport.fireAfterRuleFlowGroupActivated(AgendaEventSupport.java:152) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:707) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.common.DefaultAgenda.activateRuleFlowGroup(DefaultAgenda.java:695) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.RuleSetNodeInstance.internalTrigger(RuleSetNodeInstance.java:87) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:325) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.JoinInstance.triggerCompleted(JoinInstance.java:266) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.JoinInstance.internalTrigger(JoinInstance.java:62) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerNodeInstance(NodeInstanceImpl.java:366) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.triggerCompleted(NodeInstanceImpl.java:325) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.StartNodeInstance.triggerCompleted(StartNodeInstance.java:73) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.node.StartNodeInstance.internalTrigger(StartNodeInstance.java:44) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.NodeInstanceImpl.trigger(NodeInstanceImpl.java:173) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.ruleflow.instance.RuleFlowProcessInstance.internalStart(RuleFlowProcessInstance.java:35) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.impl.ProcessInstanceImpl.start(ProcessInstanceImpl.java:236) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.workflow.instance.impl.WorkflowProcessInstanceImpl.start(WorkflowProcessInstanceImpl.java:439) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcessInstance(ProcessRuntimeImpl.java:208) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcess(ProcessRuntimeImpl.java:191) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.process.instance.ProcessRuntimeImpl.startProcess(ProcessRuntimeImpl.java:183) [jbpm-flow-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.impl.StatefulKnowledgeSessionImpl.startProcess(StatefulKnowledgeSessionImpl.java:1797) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:122) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.runtime.process.StartProcessCommand.execute(StartProcessCommand.java:40) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.DefaultCommandService.execute(DefaultCommandService.java:36) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.SingleSessionCommandService$TransactionInterceptor.execute(SingleSessionCommandService.java:582) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jpa.OptimisticLockRetryInterceptor.execute(OptimisticLockRetryInterceptor.java:82) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.AbstractInterceptor.executeNext(AbstractInterceptor.java:41) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.jta.TransactionLockInterceptor.execute(TransactionLockInterceptor.java:73) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.persistence.SingleSessionCommandService.execute(SingleSessionCommandService.java:375) [drools-persistence-jpa-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.drools.core.command.impl.CommandBasedStatefulKnowledgeSession.execute(CommandBasedStatefulKnowledgeSession.java:490) [drools-core-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.kie.services.impl.ProcessServiceImpl.execute(ProcessServiceImpl.java:488) [jbpm-kie-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.jbpm.services.cdi.impl.ProcessServiceCDIImpl$Proxy$_$$_WeldClientProxy.execute(ProcessServiceCDIImpl$Proxy$_$$_WeldClientProxy.java) [jbpm-services-cdi-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.kie.remote.services.cdi.ProcessRequestBean.doKieSessionOperation(ProcessRequestBean.java:298) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.kie.remote.services.cdi.ProcessRequestBean.processCommand(ProcessRequestBean.java:205) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.kie.remote.services.cdi.ProcessRequestBean$Proxy$_$$_WeldClientProxy.processCommand(ProcessRequestBean$Proxy$_$$_WeldClientProxy.java) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.kie.remote.services.util.ExecuteCommandUtil.restProcessJaxbCommandsRequest(ExecuteCommandUtil.java:63) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.kie.remote.services.rest.ExecuteResourceImpl.execute(ExecuteResourceImpl.java:60) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.kie.remote.services.rest.ExecuteResourceImpl$Proxy$_$$_WeldClientProxy.execute(ExecuteResourceImpl$Proxy$_$$_WeldClientProxy.java) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_17]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_17]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_17]
	at java.lang.reflect.Method.invoke(Method.java:601) [rt.jar:1.7.0_17]
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:168) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:269) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:227) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:216) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:561) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:543) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:128) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs-2.3.12.Final-redhat-1.jar:]
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-2.jar:1.0.2.Final-redhat-2]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.kie.remote.services.rest.jaxb.DynamicJaxbContextFilter.doFilter(DynamicJaxbContextFilter.java:61) [kie-remote-services-6.4.0.Beta1-redhat-1.jar:6.4.0.Beta1-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.uberfire.ext.security.server.BasicAuthSecurityFilter.doFilter(BasicAuthSecurityFilter.java:69) [uberfire-servlet-security-0.8.0.Beta1-redhat-1.jar:0.8.0.Beta1-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.uberfire.ext.security.server.SecureHeadersFilter.doFilter(SecureHeadersFilter.java:69) [uberfire-servlet-security-0.8.0.Beta1-redhat-1.jar:0.8.0.Beta1-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.uberfire.ext.security.server.SecurityIntegrationFilter.doFilter(SecurityIntegrationFilter.java:61) [uberfire-servlet-security-0.8.0.Beta1-redhat-1.jar:0.8.0.Beta1-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:246) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:420) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.jpa.interceptor.WebNonTxEmCloserValve.invoke(WebNonTxEmCloserValve.java:50) [jboss-as-jpa-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.5.4.Final-redhat-4.jar:7.5.4.Final-redhat-4]
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:150) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.authenticator.SingleSignOn.invoke(SingleSignOn.java:400) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:344) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:854) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926) [jbossweb-7.5.11.Final-redhat-1.jar:7.5.11.Final-redhat-1]
	at java.lang.Thread.run(Thread.java:722) [rt.jar:1.7.0_17]
Caused by: org.hibernate.exception.DataException: could not execute statement
	at org.hibernate.exception.internal.SQLStateConversionDelegate.convert(SQLStateConversionDelegate.java:135) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.exception.internal.StandardSQLExceptionConverter.convert(StandardSQLExceptionConverter.java:49) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:124) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.jdbc.spi.SqlExceptionHelper.convert(SqlExceptionHelper.java:109) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.jdbc.internal.ResultSetReturnImpl.executeUpdate(ResultSetReturnImpl.java:189) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.id.IdentityGenerator$GetGeneratedKeysDelegate.executeAndExtract(IdentityGenerator.java:96) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.id.insert.AbstractReturningDelegate.performInsert(AbstractReturningDelegate.java:58) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:2987) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.persister.entity.AbstractEntityPersister.insert(AbstractEntityPersister.java:3499) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.action.internal.EntityIdentityInsertAction.execute(EntityIdentityInsertAction.java:81) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.spi.ActionQueue.execute(ActionQueue.java:395) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.spi.ActionQueue.addResolvedEntityInsertAction(ActionQueue.java:229) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.spi.ActionQueue.addInsertAction(ActionQueue.java:209) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.engine.spi.ActionQueue.addAction(ActionQueue.java:193) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.AbstractSaveEventListener.addInsertAction(AbstractSaveEventListener.java:321) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate(AbstractSaveEventListener.java:286) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.AbstractSaveEventListener.performSave(AbstractSaveEventListener.java:192) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId(AbstractSaveEventListener.java:125) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.ejb.event.EJB3PersistEventListener.saveWithGeneratedId(EJB3PersistEventListener.java:78) [hibernate-entitymanager-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.DefaultPersistEventListener.entityIsTransient(DefaultPersistEventListener.java:208) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.DefaultPersistEventListener.onPersist(DefaultPersistEventListener.java:151) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.event.internal.DefaultPersistEventListener.onPersist(DefaultPersistEventListener.java:78) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.internal.SessionImpl.firePersist(SessionImpl.java:772) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.internal.SessionImpl.persist(SessionImpl.java:746) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.internal.SessionImpl.persist(SessionImpl.java:750) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	at org.hibernate.ejb.AbstractEntityManagerImpl.persist(AbstractEntityManagerImpl.java:875) [hibernate-entitymanager-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	... 162 more
Caused by: org.h2.jdbc.JdbcSQLException: Value too long for column "VALUE VARCHAR(255)": "'Application [validationErrors=null, apr=4.5, mortgageAmount=400000, applicant=Applicant [creditScore=780, income=100000, name=A... (257)"; SQL statement:
insert into TaskVariableImpl (id, modificationDate, name, processId, processInstanceId, taskId, type, value) values (null, ?, ?, ?, ?, ?, ?, ?) [22001-168]
	at org.h2.message.DbException.getJdbcSQLException(DbException.java:329)
	at org.h2.message.DbException.get(DbException.java:169)
	at org.h2.table.Column.validateConvertUpdateSequence(Column.java:315)
	at org.h2.table.Table.validateConvertUpdateSequence(Table.java:689)
	at org.h2.command.dml.Insert.insertRows(Insert.java:120)
	at org.h2.command.dml.Insert.update(Insert.java:84)
	at org.h2.command.CommandContainer.update(CommandContainer.java:75)
	at org.h2.command.Command.executeUpdate(Command.java:230)
	at org.h2.jdbc.JdbcPreparedStatement.executeUpdateInternal(JdbcPreparedStatement.java:156)
	at org.h2.jdbc.JdbcPreparedStatement.executeUpdate(JdbcPreparedStatement.java:142)
	at org.jboss.jca.adapters.jdbc.WrappedPreparedStatement.executeUpdate(WrappedPreparedStatement.java:493)
	at org.hibernate.engine.jdbc.internal.ResultSetReturnImpl.executeUpdate(ResultSetReturnImpl.java:186) [hibernate-core-4.2.20.Final-redhat-1.jar:4.2.20.Final-redhat-1]
	... 183 more

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jan Hrcek 2016-05-02 02:37:57 EDT
I tried this with jboss-brms-bpmsuite-6.3-quickstarts.zip 6.3.0 CR1 distribution.

I tried the standard steps from jbpss-example-app readme
(cloning jboss-bpm-examle repository into business central & deploying mortgages project & deploying jboss-mortgage-demo-ws.war)
but the command 

java -jar jboss-mortgage-demo-client.jar USER PASSW

is working without any errors - all processes are started (checked in UI) and no errors in server.log/  console.
Ryan, is this bug still relevant?
Comment 2 Ryan Zhang 2016-05-05 05:50:11 EDT
Yes, I confirmed this have been fixed for CR2.
IIRC, this error have been fixed since ER release.
Please mark it VERIFIED. Thanks!

Note You need to log in before you can comment on or make changes to this bug.